# Enum Class SmiManager.NonPrintableStringFormat

java.lang.Object
java.lang.Enum<SmiManager.NonPrintableStringFormat>
com.snmp4j.smi.SmiManager.NonPrintableStringFormat

All Implemented Interfaces:
  `Serializable, Comparable<SmiManager.NonPrintableStringFormat>, Constable`

Enclosing class:
  `SmiManager`

public static enum SmiManager.NonPrintableStringFormat extends Enum<SmiManager.NonPrintableStringFormat>
Defines the format for non-printable strings in formatted object identifiers (OIDs).

Version:
  2.0.0
Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `asIs`
  Leaves the non-printable string as it is.
  `binary`
  Formats non-printable string to binary representation with ':' as separator.
  `decimal`
  Formats non-printable string to decimal representation with '.' as separator.
  `hex`
  Formats non-printable string to hexadecimal representation with ':' as separator.
  `octal`
  Formats non-printable string to octal representation with ':' as separator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getRadix()`
  Gets the radix for the non-printable string format.
  `char`
  `getSeparator()`
  Gets the separator between bytes of the non-printable string format.
  `static SmiManager.NonPrintableStringFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SmiManager.NonPrintableStringFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### asIs

    public static final SmiManager.NonPrintableStringFormat asIs
    Leaves the non-printable string as it is.

  - ### hex

    public static final SmiManager.NonPrintableStringFormat hex
    Formats non-printable string to hexadecimal representation with ':' as separator.

  - ### decimal

    public static final SmiManager.NonPrintableStringFormat decimal
    Formats non-printable string to decimal representation with '.' as separator.

  - ### octal

    public static final SmiManager.NonPrintableStringFormat octal
    Formats non-printable string to octal representation with ':' as separator.

  - ### binary

    public static final SmiManager.NonPrintableStringFormat binary
    Formats non-printable string to binary representation with ':' as separator.

- ## Method Details

  - ### values

    public static SmiManager.NonPrintableStringFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SmiManager.NonPrintableStringFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getRadix

    public int getRadix()
    Gets the radix for the non-printable string format.
    Returns:
      the radix (2, 8, 10, or 16).

  - ### getSeparator

    public char getSeparator()
    Gets the separator between bytes of the non-printable string format.
    Returns:
      a separator character ('.' for decimal or ':' for all others).